#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=waxiang5.15_base.ps
projection=-JM16.0c+
region=-R101.1/102.7/31.3/32.8
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map waxiang5.15' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    32.146   101.287
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    32.056   101.239
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    31.990   101.318
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    32.200   102.151
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    31.492   102.152
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    31.540   102.142
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    31.511   102.163
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    32.227   102.194
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    31.475   102.147
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    32.061   101.426
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    32.063   101.468
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    31.534   102.129
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    31.538   102.160
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    32.030   101.296
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    32.389   101.628
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    31.483   102.107
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    32.239   101.905
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    31.908   101.877
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    31.942   101.860
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    32.293   101.735
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    31.550   102.388
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    31.575   102.405
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    31.545   102.396
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    31.574   102.422
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    31.608   102.395
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    31.553   102.398
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    31.581   102.429
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    31.565   102.431
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    31.518   102.468
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    31.556   102.418
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    31.957   102.099
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    31.657   102.383
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    31.535   102.396
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    31.535   102.390
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    31.573   102.343
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    31.620   102.409
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    31.678   102.337
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    31.979   101.848
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    31.601   102.418
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    31.618   102.140
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    31.582   102.408
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    31.612   102.574
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    31.612   102.372
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    31.926   101.734
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    31.548   102.419
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    31.540   102.402
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    32.252   102.091
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    32.104   101.568
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    31.602   102.364
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    31.610   102.381
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    31.702   102.341
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    31.570   102.421
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    31.996   101.902
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    31.602   102.410
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    31.934   102.203
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    32.370   102.107
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    31.985   101.846
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    31.546   102.425
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    31.609   102.373
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    32.391   101.732
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    31.546   102.437
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    32.031   101.798
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    31.541   102.417
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    31.606   102.405
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    31.884   101.532
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    31.976   101.782
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    31.607   102.338
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    31.624   102.406
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    31.563   102.436
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    32.357   101.769
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    31.933   101.944
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    32.002   101.882
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    32.021   101.884
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    31.979   101.886
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    31.917   101.269
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    31.908   101.256
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    32.500   101.818
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    31.498   102.432
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    32.104   102.127
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
    32.014   102.219
END
gmt psxy -: -R $projection -Sl8p+t"81" -G0 -O -K << END >> $psfile
    31.591   102.401
END
gmt psxy -: -R $projection -Sl8p+t"82" -G0 -O -K << END >> $psfile
    31.928   101.953
END
gmt psxy -: -R $projection -Sl8p+t"83" -G0 -O -K << END >> $psfile
    32.062   101.428
END
gmt psxy -: -R $projection -Sl8p+t"84" -G0 -O -K << END >> $psfile
    32.476   101.934
END
gmt psxy -: -R $projection -Sl8p+t"85" -G0 -O -K << END >> $psfile
    31.533   102.433
END
gmt psxy -: -R $projection -Sl8p+t"86" -G0 -O -K << END >> $psfile
    32.193   101.518
END
gmt psxy -: -R $projection -Sl8p+t"87" -G0 -O -K << END >> $psfile
    31.947   101.403
END
gmt psxy -: -R $projection -Sl8p+t"88" -G0 -O -K << END >> $psfile
    32.359   101.877
END
gmt psxy -: -R $projection -Sl8p+t"89" -G0 -O -K << END >> $psfile
    31.699   101.677
END
gmt psxy -: -R $projection -Sl8p+t"90" -G0 -O -K << END >> $psfile
    31.625   102.390
END
gmt psxy -: -R $projection -Sl8p+t"91" -G0 -O -K << END >> $psfile
    31.652   102.399
END
gmt psxy -: -R $projection -Sl8p+t"92" -G0 -O -K << END >> $psfile
    31.617   102.395
END
gmt psxy -: -R $projection -Sl8p+t"93" -G0 -O -K << END >> $psfile
    32.672   102.024
END
gmt psxy -: -R $projection -Sl8p+t"94" -G0 -O -K << END >> $psfile
    31.983   101.619
END
gmt psxy -: -R $projection -Sl8p+t"95" -G0 -O -K << END >> $psfile
    31.554   102.393
END
gmt psxy -: -R $projection -Sl8p+t"96" -G0 -O -K << END >> $psfile
    32.099   101.429
END
gmt psxy -: -R $projection -Sl8p+t"97" -G0 -O -K << END >> $psfile
    31.577   102.400
END
gmt psxy -: -R $projection -Sl8p+t"98" -G0 -O -K << END >> $psfile
    31.532   102.390
END
gmt psxy -: -R $projection -Sl8p+t"99" -G0 -O -K << END >> $psfile
    31.570   102.432
END
gmt psxy -: -R $projection -Sl8p+t"100" -G0 -O -K << END >> $psfile
    31.646   102.367
END
gmt psxy -: -R $projection -Sl8p+t"101" -G0 -O -K << END >> $psfile
    31.946   101.588
END
gmt psxy -: -R $projection -Sl8p+t"102" -G0 -O -K << END >> $psfile
    31.619   102.413
END
gmt psxy -: -R $projection -Sl8p+t"103" -G0 -O -K << END >> $psfile
    31.522   102.245
END
gmt psxy -: -R $projection -Sl8p+t"104" -G0 -O -K << END >> $psfile
    32.116   101.335
END
gmt psxy -: -R $projection -Sl8p+t"105" -G0 -O -K << END >> $psfile
    32.154   101.329
END
gmt psxy -: -R $projection -Sl8p+t"106" -G0 -O -K << END >> $psfile
    32.111   101.763
END
gmt psxy -: -R $projection -Sl8p+t"107" -G0 -O -K << END >> $psfile
    31.602   102.411
END
gmt psxy -: -R $projection -Sl8p+t"108" -G0 -O -K << END >> $psfile
    31.988   101.636
END
gmt psxy -: -R $projection -Sl8p+t"109" -G0 -O -K << END >> $psfile
    31.991   101.619
END
gmt psxy -: -R $projection -Sl8p+t"110" -G0 -O -K << END >> $psfile
    31.564   102.362
END
gmt psxy -: -R $projection -Sl8p+t"111" -G0 -O -K << END >> $psfile
    31.612   102.403
END
gmt psxy -: -R $projection -Sl8p+t"112" -G0 -O -K << END >> $psfile
    31.978   101.624
END
gmt psxy -: -R $projection -Sl8p+t"113" -G0 -O -K << END >> $psfile
    31.681   102.011
END
gmt psxy -: -R $projection -Sl8p+t"114" -G0 -O -K << END >> $psfile
    32.099   101.359
END
gmt psxy -: -R $projection -Sl8p+t"115" -G0 -O -K << END >> $psfile
    31.636   102.385
END
gmt psxy -: -R $projection -Sl8p+t"116" -G0 -O -K << END >> $psfile
    31.588   102.380
END
gmt psxy -: -R $projection -Sl8p+t"117" -G0 -O -K << END >> $psfile
    31.433   102.107
END
gmt psxy -: -R $projection -Sl8p+t"118" -G0 -O -K << END >> $psfile
    31.415   102.113
END
gmt psxy -: -R $projection -Sl8p+t"119" -G0 -O -K << END >> $psfile
    32.133   101.577
END
gmt psxy -: -R $projection -Sl8p+t"120" -G0 -O -K << END >> $psfile
    31.593   102.413
END
gmt psxy -: -R $projection -Sl8p+t"121" -G0 -O -K << END >> $psfile
    31.602   102.408
END
gmt psxy -: -R $projection -Sl8p+t"122" -G0 -O -K << END >> $psfile
    32.294   101.548
END
gmt psxy -: -R $projection -Sl8p+t"123" -G0 -O -K << END >> $psfile
    32.299   101.691
END
gmt psxy -: -R $projection -Sl8p+t"124" -G0 -O -K << END >> $psfile
    32.390   101.735
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.152   101.287
    32.146   101.287
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.113   101.226
    32.146   101.287
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.061   101.241
    32.056   101.239
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.089   101.228
    32.056   101.239
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.995   101.322
    31.990   101.318
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.980   101.300
    31.990   101.318
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.202   102.152
    32.200   102.151
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.230   102.130
    32.200   102.151
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.496   102.155
    31.492   102.152
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.317   102.296
    31.492   102.152
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.544   102.145
    31.540   102.142
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.530   102.170
    31.540   102.142
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.514   102.166
    31.511   102.163
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.525   102.301
    31.511   102.163
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.230   102.195
    32.227   102.194
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.280   102.150
    32.227   102.194
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.478   102.150
    31.475   102.147
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.614   101.948
    31.475   102.147
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.065   101.430
    32.061   101.426
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.883   101.479
    32.061   101.426
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.069   101.472
    32.063   101.468
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.030   101.450
    32.063   101.468
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.537   102.132
    31.534   102.129
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.533   102.133
    31.534   102.129
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.543   102.163
    31.538   102.160
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.550   102.133
    31.538   102.160
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.033   101.298
    32.030   101.296
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.000   101.300
    32.030   101.296
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.394   101.627
    32.389   101.628
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.300   101.567
    32.389   101.628
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.485   102.108
    31.483   102.107
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.500   102.100
    31.483   102.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.246   101.908
    32.239   101.905
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.250   101.870
    32.239   101.905
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.912   101.878
    31.908   101.877
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.920   101.810
    31.908   101.877
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.947   101.862
    31.942   101.860
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.020   101.870
    31.942   101.860
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.298   101.740
    32.293   101.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.250   101.783
    32.293   101.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.554   102.391
    31.550   102.388
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.505   102.487
    31.550   102.388
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.580   102.407
    31.575   102.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.580   102.420
    31.575   102.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.550   102.398
    31.545   102.396
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.530   102.380
    31.545   102.396
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.579   102.425
    31.574   102.422
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.570   102.420
    31.574   102.422
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.612   102.396
    31.608   102.395
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.420
    31.608   102.395
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.557   102.400
    31.553   102.398
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.400
    31.553   102.398
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.586   102.431
    31.581   102.429
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.567   102.333
    31.581   102.429
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.570   102.432
    31.565   102.431
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.570   102.430
    31.565   102.431
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.522   102.472
    31.518   102.468
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.420
    31.518   102.468
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.560   102.420
    31.556   102.418
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.570   102.380
    31.556   102.418
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.962   102.100
    31.957   102.099
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.917   102.067
    31.957   102.099
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.661   102.386
    31.657   102.383
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.633   102.333
    31.657   102.383
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.538   102.399
    31.535   102.396
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.550   102.383
    31.535   102.396
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.538   102.394
    31.535   102.390
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.550   102.383
    31.535   102.390
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.578   102.346
    31.573   102.343
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.583   102.367
    31.573   102.343
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.624   102.411
    31.620   102.409
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.620   102.380
    31.620   102.409
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.682   102.340
    31.678   102.337
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.667   102.317
    31.678   102.337
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.983   101.849
    31.979   101.848
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.017   101.850
    31.979   101.848
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.604   102.420
    31.601   102.418
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.333
    31.601   102.418
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.621   102.143
    31.618   102.140
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.200
    31.618   102.140
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.587   102.411
    31.582   102.408
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.417
    31.582   102.408
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.618   102.562
    31.612   102.574
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.702   102.450
    31.612   102.574
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.615   102.375
    31.612   102.372
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.650   102.383
    31.612   102.372
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.931   101.736
    31.926   101.734
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.900   101.683
    31.926   101.734
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.552   102.422
    31.548   102.419
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.550   102.417
    31.548   102.419
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.548   102.397
    31.540   102.402
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.557   102.417
    31.540   102.402
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.256   102.093
    32.252   102.091
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.250   102.100
    32.252   102.091
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.111   101.577
    32.104   101.568
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.133   101.600
    32.104   101.568
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.606   102.367
    31.602   102.364
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.333
    31.602   102.364
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.615   102.383
    31.610   102.381
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.580   102.417
    31.610   102.381
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.706   102.343
    31.702   102.341
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.700   102.330
    31.702   102.341
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.575   102.424
    31.570   102.421
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.533   102.383
    31.570   102.421
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.003   101.904
    31.996   101.902
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.030   101.900
    31.996   101.902
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.606   102.413
    31.602   102.410
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.583   102.400
    31.602   102.410
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.937   102.205
    31.934   102.203
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.000   102.217
    31.934   102.203
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.375   102.110
    32.370   102.107
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.367   102.083
    32.370   102.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.990   101.850
    31.985   101.846
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.067   101.850
    31.985   101.846
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.550   102.427
    31.546   102.425
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.533   102.400
    31.546   102.425
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.614   102.374
    31.609   102.373
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.650   102.400
    31.609   102.373
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.394   101.737
    32.391   101.732
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.467   101.683
    32.391   101.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.551   102.439
    31.546   102.437
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.533   102.400
    31.546   102.437
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.036   101.801
    32.031   101.798
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.100   101.850
    32.031   101.798
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.545   102.419
    31.541   102.417
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.550   102.383
    31.541   102.417
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.610   102.407
    31.606   102.405
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.433
    31.606   102.405
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.888   101.535
    31.884   101.532
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.083   101.517
    31.884   101.532
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.981   101.784
    31.976   101.782
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.000   101.783
    31.976   101.782
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.612   102.341
    31.607   102.338
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.383
    31.607   102.338
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.629   102.408
    31.624   102.406
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.650   102.283
    31.624   102.406
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.567   102.439
    31.563   102.436
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.483   102.333
    31.563   102.436
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.364   101.771
    32.357   101.769
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.483   101.750
    32.357   101.769
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.937   101.945
    31.933   101.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.017   102.067
    31.933   101.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.006   101.883
    32.002   101.882
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.017   101.917
    32.002   101.882
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.026   101.885
    32.021   101.884
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.017   101.967
    32.021   101.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.984   101.888
    31.979   101.886
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.017   101.983
    31.979   101.886
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.921   101.273
    31.917   101.269
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.917   101.317
    31.917   101.269
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.912   101.260
    31.908   101.256
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.050   101.330
    31.908   101.256
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.503   101.819
    32.500   101.818
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.467   101.850
    32.500   101.818
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.503   102.434
    31.498   102.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.533   102.433
    31.498   102.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.108   102.129
    32.104   102.127
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.150   102.217
    32.104   102.127
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.018   102.220
    32.014   102.219
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.067   102.200
    32.014   102.219
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.596   102.403
    31.591   102.401
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.650   102.500
    31.591   102.401
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.933   101.954
    31.928   101.953
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.033   101.900
    31.928   101.953
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.091   101.424
    32.062   101.428
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.330   102.220
    32.062   101.428
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.479   101.939
    32.476   101.934
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.583   101.950
    32.476   101.934
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.537   102.436
    31.533   102.433
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.517   102.450
    31.533   102.433
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.199   101.519
    32.193   101.518
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.283   101.550
    32.193   101.518
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.951   101.406
    31.947   101.403
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.083   101.433
    31.947   101.403
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.364   101.880
    32.359   101.877
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.350   101.883
    32.359   101.877
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.703   101.677
    31.699   101.677
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.700   101.683
    31.699   101.677
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.629   102.393
    31.625   102.390
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.383
    31.625   102.390
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.656   102.401
    31.652   102.399
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.383
    31.652   102.399
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.621   102.398
    31.617   102.395
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.583   102.383
    31.617   102.395
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.675   102.027
    32.672   102.024
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.634   101.699
    32.672   102.024
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.987   101.620
    31.983   101.619
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.150   101.600
    31.983   101.619
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.558   102.395
    31.554   102.393
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.667   102.383
    31.554   102.393
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.104   101.431
    32.099   101.429
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.283   101.417
    32.099   101.429
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.582   102.402
    31.577   102.400
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.667   102.400
    31.577   102.400
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.536   102.392
    31.532   102.390
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.517   102.383
    31.532   102.390
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.575   102.435
    31.570   102.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.650   102.383
    31.570   102.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.650   102.369
    31.646   102.367
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.617   102.367
    31.646   102.367
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.948   101.582
    31.946   101.588
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.337   101.727
    31.946   101.588
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.623   102.415
    31.619   102.413
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.417
    31.619   102.413
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.526   102.247
    31.522   102.245
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.567   102.217
    31.522   102.245
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.123   101.336
    32.116   101.335
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.173   101.226
    32.116   101.335
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.160   101.331
    32.154   101.329
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.167   101.317
    32.154   101.329
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.116   101.765
    32.111   101.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.100   101.767
    32.111   101.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.606   102.413
    31.602   102.411
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.417
    31.602   102.411
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.992   101.638
    31.988   101.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.050   101.633
    31.988   101.636
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.997   101.620
    31.991   101.619
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.083   101.600
    31.991   101.619
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.568   102.365
    31.564   102.362
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.650   102.383
    31.564   102.362
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.616   102.405
    31.612   102.403
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.567   102.400
    31.612   102.403
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.984   101.626
    31.978   101.624
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.900   101.667
    31.978   101.624
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.684   102.015
    31.681   102.011
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.683   102.000
    31.681   102.011
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.105   101.362
    32.099   101.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.233   101.383
    32.099   101.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.641   102.388
    31.636   102.385
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600   102.333
    31.636   102.385
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.592   102.383
    31.588   102.380
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.567   102.383
    31.588   102.380
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.437   102.109
    31.433   102.107
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.400   102.133
    31.433   102.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.418   102.116
    31.415   102.113
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.400   102.117
    31.415   102.113
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.138   101.579
    32.133   101.577
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.960   101.720
    32.133   101.577
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.597   102.416
    31.593   102.413
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.533   102.450
    31.593   102.413
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.610   102.413
    31.602   102.408
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.479   102.173
    31.602   102.408
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.300   101.551
    32.294   101.548
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.361   101.589
    32.294   101.548
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.303   101.687
    32.299   101.691
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.280   101.800
    32.299   101.691
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.396   101.729
    32.390   101.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.420   101.890
    32.390   101.735
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    32.146   101.287    55.990     4.937     6.445
    32.056   101.239   -23.596     2.247     2.677
    31.990   101.318   -53.578     2.917     6.478
    32.200   102.151   -73.813     2.910     5.733
    31.492   102.152    22.833     3.662     4.229
    31.540   102.142    82.733     3.565     5.007
    31.511   102.163   -62.151     1.914     2.731
    32.227   102.194   -70.388     1.709     4.323
    31.475   102.147    68.308     0.146     5.286
    32.061   101.426   -63.110     2.444     5.465
    32.063   101.468   -64.194     2.596     7.129
    31.534   102.129   -56.680     1.967     3.481
    31.538   102.160   -60.898     1.946     2.829
    32.030   101.296   -70.139     2.876     5.588
    32.389   101.628   -80.349     2.403     4.540
    31.483   102.107   -57.308     5.854     7.360
    32.239   101.905   -75.660     2.929     6.876
    31.908   101.877   -72.536     1.677     3.701
    31.942   101.860   -73.013     2.022     4.908
    32.293   101.735    10.728     4.554     6.605
    31.550   102.388   -83.109     1.505     1.831
    31.575   102.405   -60.098     2.370     3.896
    31.545   102.396   -43.886     2.376     3.951
    31.574   102.422   -58.028     2.047     2.589
    31.608   102.395   -49.867     2.191     4.053
    31.553   102.398   -65.421     2.310     4.663
    31.581   102.429   -66.521     1.918     3.322
    31.565   102.431   -39.399     2.465     2.896
    31.518   102.468   -59.374     4.002     5.049
    31.556   102.418   -64.185     1.607     2.692
    31.957   102.099    61.861     0.985     1.831
    31.657   102.383    50.541     2.205     2.523
    31.535   102.396    57.972     1.089     1.504
    31.535   102.390    61.365     1.179     1.555
    31.573   102.343    59.541     1.586     2.156
    31.620   102.409    34.613     1.158     1.731
    31.678   102.337    87.687     1.244     1.428
    31.979   101.848    72.684     1.924     2.334
    31.601   102.418   -61.072     1.256     1.685
    31.618   102.140    59.112     1.521     1.936
    31.582   102.408    57.938     1.173     1.806
    31.612   102.574    38.294     2.321     3.661
    31.612   102.372    22.215     1.279     1.420
    31.926   101.734    70.462     1.374     1.718
    31.548   102.419    58.370     0.901     1.480
    31.540   102.402    52.011     2.377     3.263
    32.252   102.091    76.685     1.498     2.581
    32.104   101.568   -11.127     2.809     3.860
    31.602   102.364    56.267     1.728     2.134
    31.610   102.381    11.504     1.942     2.210
    31.702   102.341    57.787     0.879     1.185
    31.570   102.421   -40.084     2.038     6.934
    31.996   101.902   -77.505     1.444     3.358
    31.602   102.410    81.451     1.735     2.278
    31.934   102.203    65.469     1.038     2.298
    32.370   102.107   -16.703     2.079     2.259
    31.985   101.846    84.797     1.901     3.882
    31.546   102.425   -21.104     2.223     4.050
    31.609   102.373    52.786     1.255     1.946
    32.391   101.732    84.401     1.605     1.830
    31.546   102.437    65.469     1.883     2.381
    32.031   101.798    62.240     2.277     4.767
    31.541   102.417   -44.366     2.262     3.979
    31.606   102.405    59.562     1.748     1.795
    31.884   101.532    54.897     1.513     3.473
    31.976   101.782   -62.591     2.171     4.231
    31.607   102.338   -29.836     2.190     3.185
    31.624   102.406   -22.174     2.336     4.411
    31.563   102.436   -43.769     2.152     3.943
    32.357   101.769   -66.247     1.869     2.919
    31.933   101.944    68.545     0.781     1.204
    32.002   101.882    80.829     1.487     1.935
    32.021   101.884    74.062     1.397     1.984
    31.979   101.886   -23.717     2.626     3.330
    31.917   101.269    -4.988     1.721     2.827
    31.908   101.256    -5.503     1.955     3.782
    32.500   101.818    68.630     2.490     5.574
    31.498   102.432   -30.293     1.732     2.727
    32.104   102.127    52.240     1.773     4.332
    32.014   102.219    71.414     1.618     2.377
    31.591   102.401    70.030     1.483     3.616
    31.928   101.953    65.713     1.199     1.793
    32.062   101.428   -65.679     1.889     2.017
    32.476   101.934    16.780     2.462     5.272
    31.533   102.433    12.832     1.523     1.935
    32.193   101.518   -66.154     1.928     2.621
    31.947   101.403    54.282     1.776     1.864
    32.359   101.877   -66.308     1.754     2.615
    31.699   101.677    44.574     1.928     3.035
    31.625   102.390    75.197     1.762     2.182
    31.652   102.399    87.524     1.362     1.991
    31.617   102.395   -36.488     1.824     2.708
    32.672   102.024    57.732     2.319     3.096
    31.983   101.619    67.398     1.284     1.478
    31.554   102.393   -31.940     1.605     1.877
    32.099   101.429   -61.285     1.269     1.454
    31.577   102.400    49.768     2.174     2.568
    31.532   102.390   -28.017     1.625     1.967
    31.570   102.432   -27.870     1.470     2.008
    31.646   102.367    83.188     2.247     5.054
    31.946   101.588     4.890     2.790     3.700
    31.619   102.413   -38.235     1.486     2.601
    31.522   102.245    56.110     1.445     1.752
    32.116   101.335    65.007     1.373     1.496
    32.154   101.329    54.082     2.323     3.691
    32.111   101.763    86.632     1.610     2.107
    31.602   102.411    50.209     0.978     1.579
    31.988   101.636    25.967     1.454     1.732
    31.991   101.619    71.550     1.806     2.106
    31.564   102.362   -22.970     1.667     3.387
    31.612   102.403    88.271     1.516     1.945
    31.978   101.624    57.963     1.566     3.624
    31.681   102.011    69.107     2.052     2.409
    32.099   101.359   -22.403     2.355     2.573
    31.636   102.385   -20.984     1.527     1.790
    31.588   102.380    49.617     0.645     1.031
    31.433   102.107    52.966     1.057     1.532
    31.415   102.113    56.450     1.278     2.189
    32.133   101.577    80.310     1.916     2.040
    31.593   102.413    50.283     1.084     1.921
    31.602   102.408   -46.478     4.116     6.644
    32.294   101.548   -82.535     1.642     2.613
    32.299   101.691    86.610     2.771     3.106
    32.390   101.735   -55.547     3.247     3.503
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    31.550   102.388     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    31.369   101.202   -24.383     1.487     3.786
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    31.369   101.225   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    31.369   101.202     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    31.369   101.202     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    31.324   101.202   5 km
END
