#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=waxiang5.15_dcal.ps
projection=-JM16.0c+
region=-R99.0/104.8/29.5/34.6
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration waxiang5.15' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.990   101.318
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    32.200   102.151
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.492   102.152
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.492   102.152
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.540   102.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.511   102.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    32.227   102.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.061   101.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.063   101.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.534   102.129
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.534   102.129
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.538   102.160
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.030   101.296
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.389   101.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.483   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    32.239   101.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.908   101.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.942   101.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    32.293   101.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.550   102.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.575   102.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.575   102.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.545   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.545   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.574   102.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.574   102.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.608   102.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.608   102.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.553   102.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.553   102.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.581   102.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.581   102.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.565   102.431
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.565   102.431
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.518   102.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.518   102.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.556   102.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.556   102.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.957   102.099
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.657   102.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.535   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.535   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.535   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.535   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.535   102.396
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.535   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.535   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.535   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.535   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.573   102.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.573   102.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.573   102.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.573   102.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.620   102.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.620   102.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.678   102.337
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.678   102.337
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.979   101.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.979   101.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.601   102.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.601   102.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.601   102.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.601   102.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.618   102.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.618   102.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.618   102.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.618   102.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.582   102.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.582   102.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.582   102.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.582   102.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.612   102.372
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.612   102.372
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.612   102.372
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.926   101.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.926   101.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.548   102.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.548   102.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.548   102.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.548   102.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.540   102.402
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.540   102.402
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.540   102.402
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.252   102.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.252   102.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.104   101.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.104   101.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.602   102.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.602   102.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.602   102.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.602   102.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.610   102.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.610   102.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.610   102.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.702   102.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.702   102.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.570   102.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.570   102.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.996   101.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.996   101.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.602   102.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.602   102.410
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.934   102.203
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.934   102.203
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.370   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.370   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.985   101.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.985   101.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.546   102.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.546   102.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.546   102.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.546   102.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.609   102.373
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.609   102.373
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.609   102.373
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.609   102.373
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.391   101.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.391   101.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.391   101.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.391   101.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.546   102.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.546   102.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.546   102.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.546   102.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.031   101.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.031   101.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.541   102.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.541   102.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.541   102.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.541   102.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.606   102.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.606   102.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.606   102.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.606   102.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.884   101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.884   101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.976   101.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.976   101.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.607   102.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.607   102.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.607   102.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.607   102.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.624   102.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.624   102.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.624   102.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.624   102.406
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.563   102.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.563   102.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.563   102.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.357   101.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.357   101.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.933   101.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.933   101.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.002   101.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.002   101.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.021   101.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.021   101.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.917   101.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.917   101.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.908   101.256
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.498   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.498   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.498   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.498   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.104   102.127
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.104   102.127
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.014   102.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.014   102.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.928   101.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.928   101.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.062   101.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.062   101.428
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.476   101.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.476   101.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.533   102.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.533   102.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.533   102.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.533   102.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.193   101.518
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.193   101.518
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.947   101.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.947   101.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.359   101.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.359   101.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.699   101.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.699   101.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.625   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.625   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.625   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.652   102.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.652   102.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.617   102.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.617   102.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.617   102.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.617   102.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.983   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.983   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.983   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.983   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.554   102.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.554   102.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.554   102.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.554   102.393
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.099   101.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.099   101.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.577   102.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.577   102.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.577   102.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.577   102.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.532   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.532   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.532   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.532   102.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.570   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.570   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.570   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.570   102.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.646   102.367
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.646   102.367
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.619   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.619   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.619   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.619   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.522   102.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.522   102.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.522   102.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.522   102.245
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.116   101.335
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.116   101.335
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.154   101.329
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.154   101.329
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.111   101.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.111   101.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.602   102.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.602   102.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.602   102.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.602   102.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.988   101.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.988   101.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.991   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.991   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.991   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    31.991   101.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.564   102.362
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.564   102.362
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.564   102.362
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.564   102.362
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.612   102.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.612   102.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.612   102.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.612   102.403
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.978   101.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.978   101.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.681   102.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.681   102.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.099   101.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.099   101.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.636   102.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.636   102.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.636   102.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.636   102.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.588   102.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.588   102.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.588   102.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.588   102.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.433   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.003   102.362
    31.433   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.433   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.433   102.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.415   102.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    31.415   102.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.133   101.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.133   101.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.902   102.223
    32.133   101.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.593   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.889   102.219
    31.593   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.593   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.990   102.485
    31.593   102.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.270   100.985
    32.294   101.548
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    32.270   100.985     0.300
    31.889   102.219     0.300
    31.003   102.362     0.300
    31.902   102.223     0.300
    30.990   102.485     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.146   101.287     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.056   101.239     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.990   101.318     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.200   102.151     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.492   102.152     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.540   102.142     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.511   102.163     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.227   102.194     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.475   102.147     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.061   101.426     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.063   101.468     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.534   102.129     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.538   102.160     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.030   101.296     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.389   101.628     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.483   102.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.239   101.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.908   101.877     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.942   101.860     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.293   101.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.550   102.388     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.575   102.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.545   102.396     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.574   102.422     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.608   102.395     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.553   102.398     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.581   102.429     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.565   102.431     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.518   102.468     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.556   102.418     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.957   102.099     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.657   102.383     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.535   102.396     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.535   102.390     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.573   102.343     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.620   102.409     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.678   102.337     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.979   101.848     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.601   102.418     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.618   102.140     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.582   102.408     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.612   102.574     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.612   102.372     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.926   101.734     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.548   102.419     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.540   102.402     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.252   102.091     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.104   101.568     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.602   102.364     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.610   102.381     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.702   102.341     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.570   102.421     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.996   101.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.602   102.410     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.934   102.203     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.370   102.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.985   101.846     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.546   102.425     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.609   102.373     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.391   101.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.546   102.437     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.031   101.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.541   102.417     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.606   102.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.884   101.532     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.976   101.782     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.607   102.338     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.624   102.406     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.563   102.436     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.357   101.769     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.933   101.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.002   101.882     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.021   101.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.979   101.886     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.917   101.269     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.908   101.256     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.500   101.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.498   102.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.104   102.127     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.014   102.219     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.591   102.401     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.928   101.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.062   101.428     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.476   101.934     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.533   102.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.193   101.518     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.947   101.403     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.359   101.877     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.699   101.677     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.625   102.390     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.652   102.399     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.617   102.395     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.672   102.024     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.983   101.619     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.554   102.393     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.099   101.429     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.577   102.400     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.532   102.390     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.570   102.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.646   102.367     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.946   101.588     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.619   102.413     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.522   102.245     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.116   101.335     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.154   101.329     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.111   101.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.602   102.411     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.988   101.636     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.991   101.619     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.564   102.362     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.612   102.403     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.978   101.624     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.681   102.011     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.099   101.359     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.636   102.385     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.588   102.380     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.433   102.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.415   102.113     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.133   101.577     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.593   102.413     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.602   102.408     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.294   101.548     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.299   101.691     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.390   101.735     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    31.822   102.054     0.000   222.000   222.000
    31.822   102.054     0.000   444.000   444.000
END
