#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=waxiang5.15_rdp_124.ps
projection=-JX18/12
region=-R1/31/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases waxiang5.15 Event 124' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.980     1.000
     1.581     2.000
     1.214     3.000
     0.911     4.000
     0.679     5.000
     0.502     6.000
     0.405     7.000
     0.464     8.000
     0.642     9.000
     0.853    10.000
     1.109    11.000
     1.356    12.000
     1.623    13.000
     1.915    14.000
     2.205    15.000
     2.506    16.000
     2.810    17.000
     3.115    18.000
     3.428    19.000
     3.743    20.000
     4.004    21.000
     4.283    22.000
     4.544    23.000
     4.815    24.000
     5.093    25.000
     5.367    26.000
     5.656    27.000
     5.940    28.000
     6.224    29.000
     6.501    30.000
     6.785    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     6.052     1.000
     4.583     2.000
     3.167     3.000
     2.203     4.000
     1.691     5.000
     1.295     6.000
     1.122     7.000
     1.353     8.000
     1.794     9.000
     2.474    10.000
     3.249    11.000
     3.999    12.000
     4.855    13.000
     5.798    14.000
     6.846    15.000
     7.908    16.000
     8.957    17.000
    10.008    18.000
    11.077    19.000
    12.145    20.000
    13.037    21.000
    13.978    22.000
    14.865    23.000
    15.777    24.000
    16.707    25.000
    17.627    26.000
    18.594    27.000
    19.543    28.000
    20.491    29.000
    21.413    30.000
    22.361    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.862    10.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.762    10.000
     4.762    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.762    10.000
     4.762    14.000
     2.762    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.762    10.000
     4.762     3.000
     2.762     3.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     2.762     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.762     3.000
     2.762    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     2.762     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     2.762    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20220609.1728.37
    10.560     2.000 Depth of minimum misfit =   7 km on 11 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
